## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           grc
Version:        1.13
Release:        %autorelease
Summary:        Generic Colorizer

License:        GPLv2
URL:            http://korpus.juls.savba.sk/~garabik/software/grc.html
Source0:        https://github.com/garabik/grc/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  sed

%description
Generic Colorizer is yet another colorizer for beautifying your log files or
output of commands.

%prep
%autosetup -p1
# replace symlinks with plain files
rm COPYING CHANGES
cp debian/copyright COPYING
cp debian/changelog CHANGES
sed -i -e '/^#!\//, 1d' grc.fish grc.zsh
sed -i.bak -e 's/env python/python/' grc grcat
sed -i -e 's/cp -fv /cp -fvp /' install.sh

%build

%install
./install.sh "$RPM_BUILD_ROOT%{_prefix}" "$RPM_BUILD_ROOT"

%files
%doc CREDITS README.markdown TODO CHANGES Regexp.txt
%license COPYING
%{_bindir}/grc
%{_bindir}/grcat
%{_datadir}/grc/
%config(noreplace) %{_sysconfdir}/grc.conf
%config(noreplace) %{_sysconfdir}/grc.fish
%config(noreplace) %{_sysconfdir}/grc.zsh
%config(noreplace) %{_sysconfdir}/profile.d/grc.sh
%{_mandir}/man1/grc.1*
%{_mandir}/man1/grcat.1*

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 08 2022 Petr Menšík <pemensik@redhat.com> - 1.13-1
- Update to 1.13

* Tue Feb 08 2022 Tomas Hrcka <thrcka@redhat.com> - 1.11.3-7
- Unretirement request: https://pagure.io/releng/issue/10623

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Robin Lee <cheeselee@fedoraproject.org> - 1.11.3-1
- Update to 1.11.3

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 28 2018 Robin Lee <cheeselee@fedoraproject.org> - 1.11.1-1
- Import grc - Generic Colorizer

* Tue Feb 27 2018 Mohan Boddu <mboddu@redhat.com> - 0.70-11
- Revert "Replaced by gnuradio-companion in the gnuradio package"

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 0.70-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 0.70-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 0.70-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-7
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.70-6
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.70-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Lubomir Rintel <lkundrak@fedoraproject.org> - 0.70-4
- Fix the categories and icon location

* Wed Feb 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.70-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 07 2009 Marek Mahut <mmahut@fedoraproject.org> - 0.70-2
- Bug 473924 - grc : Unowned directories

* Fri Aug 29 2008 Marek Mahut <mmahut@fedoraproject.org> - 0.70-1
- initial import
## END: Generated by rpmautospec
